import Prog1Tools.*;
import java.math.*;
import java.util.*;
import java.util.function.*;
import java.util.stream.*;
public class PipelineFakultaetBigInt {
  public static void main(String[] args) {
    // n einlesen
    int n = IOTools.readInt("n = ");
    
    // Unendlichen Stream erzeugen
    Stream<BigInteger> s = 
      Stream.iterate(BigInteger.ONE,x -> x.add(BigInteger.ONE))
            .limit(n);

    // Auf Produkt aller Werte reduzieren (Berechnung der Fakultaet)
    BigInteger f = 
      s.reduce(BigInteger.ONE, (x,y) -> x.multiply(y)); 
                                                         
    // Wert der Fakultaet ausgeben          
    System.out.println(n + "! = " + f);          
  }
}
